<?php
/*
Plugin Name: WP RSlogin
Plugin URI: http://www.sutanaryan.com/freebies/plugins/wp-rslogin/
Description: An elegant jQuery Ajax Wordpress plugin that helps your users login without touching in the admin panel.
Author: Ryan Sutana
Version: 1.1.0
Author URI: http://www.sutanaryan.com/
*/

include_once ( ABSPATH . WPINC . '/pluggable.php' );
include_once ( ABSPATH . WPINC . '/query.php' );
include_once ( ABSPATH . WPINC . '/link-template.php' );
include_once ( dirname(__FILE__) . '/inc/functions.php' );

add_action('wp_print_scripts', 'rs_login_script');
function rs_login_script() {
    wp_enqueue_script( 'google-jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.7.0/jquery.min.js');
	wp_enqueue_script( 'custom-jquery', plugins_url('js/custom.js', __FILE__));
    wp_enqueue_script( 'jquery' );
}

add_action('wp_print_styles', 'rs_login_style');
function rs_login_style() {
	wp_register_style( 'rs-login-style', plugins_url('css/rslogin-style.css', __FILE__) );
    wp_enqueue_style( 'rs-login-style' );
}

add_shortcode("wp_rslogin", "wp_rslogin");
function wp_rslogin() { ?>
	
	<div class="panel-cotainer">

		<div class="panel">
			<div class="user-login">
				<?php
					global $current_user;
					get_currentuserinfo();
					
					if ( is_user_logged_in() ) { ?>
							<div class="loggedin">
								<div class="profile-pic">
									<?php echo get_gravatar($current_user->user_email, 45, 'mm', 'g', true); ?>
								</div>
								<div class="profile-info">
									<p class="userlogged">Hi, <a href="<?php echo admin_url(); ?>profile.php"><?php echo (($current_user->display_name != "") ? $current_user->display_name : $current_user->user_login) ?></a></p>
								</div> <div class="clear"></div>
								
								<ul class="user-info-list">
									<li><a href="<?php echo admin_url(); ?>" title="Dashboard">Dashboard</a></li>
									<li><a href="<?php echo admin_url(); ?>profile.php" title="Profile">Profile</a></li>
								</ul>
								<p><a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="Logout" class="button logout"><strong>Logout</strong></a></p>
							</div><?php
					} else { ?>
					
						<h2 class="h3">Login</h2> 
						<div class="message">
							<div class="login_error"></div>
						</div>
						<form method="post" id="loginform"> <fieldset>
							<p><label class="label" for="username">Username </label> <br />
								<input type="text" name="username" id="username" size="30" /></p>
							<p><label class="label" for="password">Password </label> <br />
								<input type="password" name="password" id="password" size="30" /> </p>
							<p><label class="label"><input type="checkbox" name="rememberme" id="rememberme" value="true" /> Remember Me</label></p>
							<p><input type="submit" value="Log In" class="button" id="login_btn" /> or <a href="javascript: void(0);" id="forgot_password">Forgot Password</a> </p>
							<p>Not a member?  <a href="<?php echo admin_url() ?>wp-login.php?action=register">Register today!</a></p>
							<input type="hidden" name="task" value="login" />
						</fieldset></form><?php
						
					}
				?>
				<script type="text/javascript">
					var L = jQuery.noConflict();
					L("#loginform").submit(function(){

						etask = this.task.value;
						eusername = this.username.value;
						epassword = this.password.value;
						erememberme = this.rememberme.value;
						
						L("#login_btn").val("loading...");
						var loginPost = L.post("<?php echo plugins_url('inc/login.php', __FILE__); ?>", { task: etask, username: eusername, password: epassword, rememberme: erememberme }, function(ldata) {
							
							L("#login_btn").val("Log In");
							if(ldata=='0') { L(".login_error").html('<p><strong>ERROR:</strong> All fields are requierd.</p>'); return false; }
							else if(ldata=='2') { L(".login_error").html('<p><strong>ERROR:</strong> Username and password do not match.</p>'); return false; }
							else {
								location.reload(); 
								L(".login_error").html('');
							}
							return false;
							
						});
						return false;

					});
				</script>
				
			</div>
		
			<div class="user-forgot">
				<h3>Reset Login</h3>
				<div class="message">
					<div class="forgot_error"></div>
					<div class="success"></div>
				</div>
				<form name="resetform" id="resetform" method="post"> <fieldset>
					<p><label>Enter your email address to request new <br/> password.</label> <br/>
						<input type="text" value="" name="user_login" id="user_login" /></p>
					<p><input type="submit" value="Reset Password" class="button" id="lp_button" /> <span> or <a href="javascript: void(0);" id="login_now">Login Now</a></span></p>
					<input type="hidden" name="task" value="lost-password" />
				</fieldset> </form>
				
				<script type="text/javascript">
					var LP = jQuery.noConflict();
					LP("#resetform").submit(function(){
						
						lptask = this.task.value;
						lpemail = this.user_login.value;
						
						LP("#lp_button").val("loading...");
						LP.post("<?php echo plugins_url('inc/lost-password.php', __FILE__); ?>", { task: lptask, email: lpemail }, function(lpdata){

							LP("#lp_button").val("Reset Password");

							L(".success").html('');
							if(lpdata=='0') { LP('.forgot_error').html('<p><strong>ERROR:</strong> Please don\'t leave the requierd field.</p>');  return false;}
							else if(lpdata=='1') { LP('.forgot_error').html('<p><strong>ERROR:</strong> Invalid Email! or Email not exist.</p>'); return false;}
							else if(lpdata=='2') { LP('.forgot_error').html('<p><strong>ERROR:</strong> Oops something went wrong updaing your account.</p>'); return false;}
							else {
								LP('.forgot_error').html('');
								LP('.success').html('<p>Check your email address for you new password.</p>');
								LP("#lp_button").attr("disabled", "disabled");
							}
							return false;
							
						});
						return false;

					});
				</script>
				
			</div>
		</div>
		
	</div> <?php
}

?>